## Copyright (c) 1991-2002 Doshita Lab. Speech Group, Kyoto University
## Copyright (c) 2000-2002 Speech and Acoustics Processing Lab., NAIST
## All rights reserved
#
# $Id: Makefile.in,v 1.8 2002/09/11 22:28:38 ri Exp $
#

SHELL=/bin/sh

.SUFFIXES:
.SUFFIXES: .c .o .a
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

CC=@CC@
CFLAGS=@CFLAGS@
CPPFLAGS=-Iinclude @CPPFLAGS@ @SOUNDINC@ @DEFS@
# LDFLAGS=@LDFLAGS@ @LIBS@
RM=@RM@ -f
AR=@AR@ r
RANLIB=@RANLIB@
TARGET=libsent.a

## rules
OBJ = src/adin/adin.o \
src/adin/adin-cut.o \
src/adin/adin_file.o \
src/adin/adin_sndfile.o \
src/adin/adin_tcpip.o \
src/adin/zc-e.o \
src/adin/zmean.o \
src/anlz/rdparam.o \
src/anlz/paramselect.o \
src/anlz/paramtypes.o \
src/anlz/strip.o \
src/anlz/strip_mfcc.o \
src/anlz/wrsamp.o \
src/dfa/init_dfa.o \
src/dfa/rddfa.o \
src/dfa/dfa_lookup.o \
src/dfa/cpair.o \
src/dfa/mkcpair.o \
src/dfa/mkterminfo.o \
src/dfa/dfa_util.o \
src/dfa/dfa_malloc.o \
src/hmminfo/rdhmmdef.o \
src/hmminfo/rdhmmdef_data.o \
src/hmminfo/rdhmmdef_dens.o \
src/hmminfo/rdhmmdef_options.o \
src/hmminfo/rdhmmdef_state.o \
src/hmminfo/rdhmmdef_trans.o \
src/hmminfo/rdhmmdef_var.o \
src/hmminfo/rdhmmdef_tiedmix.o \
src/hmminfo/rdhmmdef_regtree.o \
src/hmminfo/hmm_lookup.o \
src/hmminfo/check_hmm_restriction.o \
src/hmminfo/check_hmmtype.o \
src/hmminfo/put_htkdata_info.o \
src/hmminfo/rdhmmlist.o \
src/hmminfo/cdhmm.o \
src/hmminfo/guess_cdHMM.o \
src/hmminfo/cdset.o \
src/hmminfo/init_phmm.o \
src/hmminfo/chkhmmlist.o \
src/net/dialog.o \
src/net/rdwt.o \
src/net/server-client.o \
src/ngram/init_ngram.o \
src/ngram/ngram_read_arpa.o \
src/ngram/ngram_read_bin.o \
src/ngram/ngram_write_bin.o \
src/ngram/ngram_access.o \
src/ngram/ngram_lookup.o \
src/ngram/ngram_util.o \
src/ngram/ngram_malloc.o \
src/phmm/outprob_init.o \
src/phmm/outprob.o \
src/phmm/gms.o \
src/phmm/gms_gprune.o \
src/phmm/calc_mix.o \
src/phmm/calc_tied_mix.o \
src/phmm/gprune_common.o \
src/phmm/gprune_none.o \
src/phmm/gprune_safe.o \
src/phmm/gprune_heu.o \
src/phmm/gprune_beam.o \
src/phmm/addlog.o \
src/phmm/mkwhmm.o \
src/phmm/vsegment.o \
src/util/endian.o \
src/util/j_printf.o \
src/util/mymalloc.o \
src/util/mybmalloc.o \
src/util/ptree.o \
src/util/aptree.o \
src/util/readfile.o \
src/util/gzfile.o \
src/util/mystrtok.o \
src/voca/init_voca.o \
src/voca/voca_load_htkdict.o \
src/voca/voca_lookup.o \
src/voca/voca_malloc.o \
src/voca/voca_util.o \
src/wav2mfcc/ss.o \
src/wav2mfcc/wav2mfcc.o \
src/wav2mfcc/wav2mfcc-pipe.o @EXTRAOBJ@

all: $(TARGET)

$(TARGET): $(OBJ)
	$(AR) $@ $?
	$(RANLIB) $@

install:
	echo nothing to be installed for libsent.

install.man.ja:
	echo nothing to be installed for libsent.

clean:
	$(RM) *~ src/*/*~ src/*/*.o include/sent/*~ 
	$(RM) config.log config.cache

distclean:
	$(RM) *~ src/*/*~ src/*/*.o include/sent/*~
	$(RM) config.log config.cache
	$(RM) libsent-config
	$(RM) config.status include/sent/config.h
	$(RM) $(TARGET)
	$(RM) Makefile
